<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_8cca4dd34e20c5" . "344bb2a30f2533c" . "4e5" => base64_decode("ZnVsbF9u" . "YW1l"), "_28c85ce81fee65" . "32980262893b6f2" . "425" => base64_decode("dXNlcm5hbWU" . "="), "user" . "_id" => base64_decode("dXNlcl" . "9pZA=="), "_baec81a78" . "2bb3d53814" . "9a92256882" . "46e" => base64_decode("ZXZlbn" . "Rfc291" . "cmNl"));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class AddUserEvent extends GenericEvent
{
    
    
    
    
    
    
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["user" . "_id"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_8cca4dd" . "34e20c53" . "44bb2a30" . "f2533c4e" . "5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_28c85ce81fee6532980262893b6f24" . "25"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_baec81a" . "782bb3d5" . "38149a92" . "25688246" . "e"]);
    }
    
    
    
    
    
    
    public function SetErrorMsg($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMsg()
    {
        return $this->error_message;
    }
}